Last Comment Bug 850939 - Project Kickoff Form: Stop filing Data Safety bugs
: Project Kickoff Form: Stop filing Data Safety bugs
Status: RESOLVED DUPLICATE of bug 841440
[v1.1]
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Extensions: MozProjectReview (show other bugs)
: Production
: All All
-- normal (vote)
: ---
Assigned To: David Lawrence [:dkl]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-13 17:27 PDT by Michael Coates [:mcoates] (acct no longer active)
Modified: 2013-04-22 12:43 PDT (History)
4 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Michael Coates [:mcoates] (acct no longer active) 2013-03-13 17:27:51 PDT
Data safety bugs should no longer be filed from the project kickoff form. The elements of data safety are covered in existing privacy and security reviews.
Comment 1 User image David Lawrence [:dkl] 2013-03-19 15:01:26 PDT
Changes pushed to devel instance for feedback. Let me know it looks.

https://bugzilla-dev.allizom.org/form.moz.project.review

dkl
Comment 2 User image David Lawrence [:dkl] 2013-03-25 13:55:44 PDT
Reminder to take a look at these so we can get it pushed live for this week's code update.
Comment 3 User image Michael Coates [:mcoates] (acct no longer active) 2013-03-26 17:16:21 PDT
Tested with bug 843714 

The parent bug was created successfully, but creation of the dependent bugs failed. The error has been logged and no further action is required at this time.

From bug 843714 comment 1

Bug 843715 - Security Review: test2
Error creating legal review bug
Bug 843716 - Privacy-Technical Review: test2
Bug 843717 - Privacy-Policy Review: test2

Some erors occurred creating dependent bugs and have been recorded


https://bugzilla-dev.allizom.org/show_bug.cgi?id=843714
Comment 4 User image Michael Coates [:mcoates] (acct no longer active) 2013-03-26 17:19:40 PDT
Tested a second time with https://bugzilla-dev.allizom.org/show_bug.cgi?id=843718

The parent bug was created successfully, but creation of the dependent bugs failed. The error has been logged and no further action is required at this time.


Michael Coates [:mcoates] 2013-03-26 17:18:56 PDT

Bug 843719 - Security Review: test 3
Error creating legal review bug
Error creating finance review bug
Bug 843720 - Privacy-Technical Review: test 3
Bug 843721 - Privacy-Policy Review: test 3
Bug 843722 - Privacy / Vendor Review: test 3
Comment 5 User image Michael Coates [:mcoates] (acct no longer active) 2013-04-17 09:55:00 PDT
Tested again this morning. Looks like issue is still there.

https://bugzilla-dev.allizom.org/show_bug.cgi?id=843739


Bug 843740 - Security Review: Test for bug 850939
Error creating legal review bug
Error creating finance review bug
Bug 843741 - Privacy-Technical Review: Test for bug 850939
Bug 843742 - Privacy-Policy Review: Test for bug 850939

Some erors occurred creating dependent bugs and have been recorded
Comment 6 User image David Lawrence [:dkl] 2013-04-19 08:46:35 PDT
(In reply to Michael Coates [:mcoates] from comment #5)
> Tested again this morning. Looks like issue is still there.
> 
> https://bugzilla-dev.allizom.org/show_bug.cgi?id=843739
> 
> 
> Bug 843740 - Security Review: Test for bug 850939
> Error creating legal review bug
> Error creating finance review bug
> Bug 843741 - Privacy-Technical Review: Test for bug 850939
> Bug 843742 - Privacy-Policy Review: Test for bug 850939
> 
> Some erors occurred creating dependent bugs and have been recorded

Ok. I have tracked down what I believe to be the issue and pushed some new code to the test instance for your approval.

Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.2-dev         
modified extensions/MozProjectReview/Extension.pm
Committed revision 8460.

Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.2-dev           
modified extensions/MozProjectReview/Extension.pm
Committed revision 8461. 

Please give it a try and let me know if it works better now.

https://bugzilla-dev.allizom.org/form.moz.project.review

dkl
Comment 7 User image Michael Coates [:mcoates] (acct no longer active) 2013-04-19 11:55:37 PDT
Getting closer. Finance Bug was created but legal bug still failed.

https://bugzilla-dev.allizom.org/show_bug.cgi?id=843769


Bug 843770 - Security Review: Test 3 for bug 850939
Error creating legal review bug
Bug 843771 - Finance Review: Test 3 for bug 850939
Bug 843772 - Privacy-Technical Review: Test 3 for bug 850939
Bug 843773 - Privacy-Policy Review: Test 3 for bug 850939


Some erors occurred creating dependent bugs and have been recorded
Comment 8 User image David Lawrence [:dkl] 2013-04-19 14:26:21 PDT
(In reply to Michael Coates [:mcoates] from comment #7)
> Getting closer. Finance Bug was created but legal bug still failed.
> 
> https://bugzilla-dev.allizom.org/show_bug.cgi?id=843769
> 
> 
> Bug 843770 - Security Review: Test 3 for bug 850939
> Error creating legal review bug
> Bug 843771 - Finance Review: Test 3 for bug 850939
> Bug 843772 - Privacy-Technical Review: Test 3 for bug 850939
> Bug 843773 - Privacy-Policy Review: Test 3 for bug 850939

Was a missing component issue that has been fixed. I have to manually recreate the Legal and Finance products on bugzilla-dev each time as we use a sanitized copy of the db.

Please try again if you have time.

dkl
Comment 9 User image Michael Coates [:mcoates] (acct no longer active) 2013-04-19 15:05:58 PDT
Hmm, problem still there.


https://bugzilla-dev.allizom.org/show_bug.cgi?id=843785

Bug 843786 - Security Review: Test 4 for bug 850939
Error creating legal review bug
Bug 843787 - Finance Review: Test 4 for bug 850939
Bug 843788 - Privacy-Technical Review: Test 4 for bug 850939
Bug 843789 - Privacy-Policy Review: Test 4 for bug 850939

Some erors occurred creating dependent bugs and have been recorded
Comment 10 User image David Lawrence [:dkl] 2013-04-22 12:43:01 PDT
Resolving this as part of 841440

*** This bug has been marked as a duplicate of bug 841440 ***

Note You need to log in before you can comment on or make changes to this bug.